OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
tileparts_division_interpreter Struct Reference
Inheritance diagram for tileparts_division_interpreter:

## Public Member Functions
| tileparts_division_interpreter (bool &at_resolutions, bool &at_components)
virtual void | operate (const char *str)

## Public Attributes
bool & | at_resolutions
bool & | at_components

## Detailed Description

Definition at line 324 of file ojph_compress.cpp.

## Constructor & Destructor Documentation

## ◆ tileparts_division_interpreter()

tileparts_division_interpreter::tileparts_division_interpreter | ( | bool & | at_resolutions,
|  | bool & | at_components )
| inline

Definition at line 327 of file ojph_compress.cpp.

References at_components, and at_resolutions.

## Member Function Documentation

## ◆ operate()

virtual void tileparts_division_interpreter::operate | ( | const char * | str | ) |
| inline virtual

Implements ojph::cli_interpreter::arg_inter_base.

Definition at line 331 of file ojph_compress.cpp.

References at_components, and at_resolutions.

## Member Data Documentation

## ◆ at_components

bool& tileparts_division_interpreter::at_components

Definition at line 356 of file ojph_compress.cpp.

Referenced by operate(), and tileparts_division_interpreter().

## ◆ at_resolutions

bool& tileparts_division_interpreter::at_resolutions

Definition at line 355 of file ojph_compress.cpp.

Referenced by operate(), and tileparts_division_interpreter().

The documentation for this struct was generated from the following file:

- /build/openjph/src/OpenJPH/src/apps/ojph_compress/ojph_compress.cpp